## calypso.util
Class Counter

    java.lang.Object
      |
      +--calypso.util.Counter

public class Counter
extends java.lang.Object

Like Integer except the value is mutable

Field Summary
`protected int` | `fValue`

Constructor Summary
`Counter(int i)`

Method Summary
`void` | `decrement()`
`void` | `increment()`
`int` | `intValue()`
`void` | `setValue(int aNewValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fValue

    protected int fValue

Constructor Detail

### Counter

    public Counter(int i)

Method Detail

### intValue

    public int intValue()

### increment

    public void increment()

### decrement

    public void decrement()

### setValue

    public void setValue(int aNewValue)